"""fix targeted curation

Revision ID: d3bf0fcd237c
Revises: 7ec92e7da566
Create Date: 2024-03-21 11:55:05.883762

"""
from pathlib import Path
from alembic import op


# revision identifiers, used by Alembic.
revision = "d3bf0fcd237c"
down_revision = "7ec92e7da566"
branch_labels = None
depends_on = None


old_content = (Path.cwd() / "versions" / "templates" / "curator" / "metadata_2.8.2.3.txt").read_text()
new_content = (Path.cwd() / "versions" / "templates" / "curator" / "metadata_2.8.3.txt").read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{new_content}'
        WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_content}'
        WHERE filename='metadata.json' AND workflow_name='curator'
        """
    )
